> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Slack Integration

> Update Slack integration settings



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi patch /slack-integration/project/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /slack-integration/project/{projectId}:
    patch:
      tags:
        - Slack
      summary: Update Slack Integration
      description: Update Slack integration settings
      operationId: updateSlackIntegration
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                webhookUrl:
                  type: string
                channelName:
                  type: string
                  nullable: true
                isActive:
                  type: boolean
                events:
                  type: object
                  properties:
                    taskCreated:
                      type: boolean
                    taskStatusChanged:
                      type: boolean
                    taskPriorityChanged:
                      type: boolean
                    taskTitleChanged:
                      type: boolean
                    taskDescriptionChanged:
                      type: boolean
                    taskCommentCreated:
                      type: boolean
      responses:
        '200':
          description: Slack integration updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  projectId:
                    type: string
                  channelName:
                    type: string
                    nullable: true
                  webhookConfigured:
                    type: boolean
                  maskedWebhookUrl:
                    type: string
                  events:
                    type: object
                    properties:
                      taskCreated:
                        type: boolean
                      taskStatusChanged:
                        type: boolean
                      taskPriorityChanged:
                        type: boolean
                      taskTitleChanged:
                        type: boolean
                      taskDescriptionChanged:
                        type: boolean
                      taskCommentCreated:
                        type: boolean
                    required:
                      - taskCreated
                      - taskStatusChanged
                      - taskPriorityChanged
                      - taskTitleChanged
                      - taskDescriptionChanged
                      - taskCommentCreated
                  isActive:
                    type: boolean
                    nullable: true
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - projectId
                  - channelName
                  - webhookConfigured
                  - maskedWebhookUrl
                  - events
                  - isActive
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````